This plugin was sponsored by Oregon Health & Science University.

Quick install:

Make sure devel packages for traffic-server are installed.
Make sure that 'tsxs' is in your path.

	make -f Makefile.tsxs
	make -f Makefile.tsxs install

Add 'stale_while_revalidate.so' to plugin.config.

Restart traffic-server.

test_server.js is a test server written in JavaScript and
meant to be run under node.js.

Logging:

You can enable logging by adding parameters to the plugin.config
line for the plugin.

--log-all                       enable all logging
--log-stale-while-revalidate    enable logging of stale-while-revalidate
--log-stale-if-error            enable logging of stale-if-error
--log-filename <name>           set the filename to log to (<name>.log)
